Bug 437894 - Corrupt "hardware" mouse cursors.
Corrupt "hardware" mouse cursors.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 18:50 EDT by Ian Chapman
Modified: 2009-01-09 02:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:44:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My xorg.conf (771 bytes, text/plain)
2008-03-17 18:50 EDT, Ian Chapman
no flags Details
My Xorg.0.log output (47.46 KB, text/plain)
2008-03-17 18:52 EDT, Ian Chapman
no flags Details

  None (edit)
Description Ian Chapman 2008-03-17 18:50:35 EDT
Description of problem:

The problem does not exhibit itself with all the mouse pointers, but it does for
example with the resize window mouse pointer. The pointer appears to be shifted
left or right by 50% and wrapped. For example, if you were to imagine a mouse
cursor which is supposed to look like '[]', then it appears as ']['. I can try
and provide screenshots if it would help.

It's possible that this may be a regression of some kind because it did not
happen on F7 and earlier. Also I do not know if it's PPC only because I do not
have another arch with an ati card. It does however occur on both my PPC systems
with the following chipsets.

RV350 AP [Radeon 9600] (1002:4150)
RV350 [Mobility Radeon 9600 M10] (1002:4e50)

The problem appears to be using hardware cursors, as explicitly setting the
option "SWCursor" "On", doesn't exhibit the problem.


Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.8.0-1.fc8.ppc
xorg-x11-server-Xorg-1.3.0.0-42.fc8.ppc

How reproducible:

Always, providing option "SWCursor" "On" is not explicitly set, which isn't the
default.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ian Chapman 2008-03-17 18:50:35 EDT
Created attachment 298316 [details]
My xorg.conf
Comment 2 Ian Chapman 2008-03-17 18:52:04 EDT
Created attachment 298317 [details]
My Xorg.0.log output
Comment 3 Ian Chapman 2008-06-15 18:10:56 EDT
Note, this no longer occurs in F9.
Comment 4 Bug Zapper 2008-11-26 05:12:17 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:44:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.